Skip to content

Rotate Service Key

POST /service-keys/{service_key_id}/rotate

The old hash is retired immediately; there is no overlap window for an API key.

NameInTypeNotes
service_key_idpathstring (uuid)required—
StatusDescriptionBody
200Successful ResponseServiceKeyWithSecret
422Validation ErrorHTTPValidationError
Terminal window
curl -X POST https://your-deployment.example.com/service-keys/{service_key_id}/rotate \
-H "Authorization: Bearer $COBRE_TOKEN"
FieldTypeNotes
keystringrequired—
service_keyServiceKeyViewrequired—